import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';
import { ArticuloInfo } from '../models/articulo';
import { ServicioInfo } from '../models/servicio';
import { UnidadMedidaInfo } from '../../inventory/models/unidad-medida';
export declare class OrdenDetail extends DocumentDetail {
    idArticulo: number;
    idServicio: number;
    idRequisicion: string;
    fechaRequisicion: Date;
    saldo: number;
    cantidad: number;
    idUnidadMedida: number;
    costoUnitario: number;
    costoNeto: number;
    importe: number;
    idDepartamento: number;
    idCentroCosto: number;
    idPresupuesto: number;
    idCategoriaPresupuestal: number;
    articuloServicio: string;
    articulo: ArticuloInfo;
    servicio: ServicioInfo;
    descuentos: DescuentosInfo;
    impuestos: ImpuestoDetailInfo[];
    unidadMedida: UnidadMedidaInfo;
    constructor();
}
