import { DocumentDetail } from 'framework3/core';
import { ImpuestoDetailInfo } from '../../accounting';
import { DescuentosInfo } from './descuentos';
import { ArticuloInfo } from './articulo';
import { UnidadMedidaInfo, StockInfo } from '../../inventory';
import { ServicioInfo } from './servicio';
export declare class RecepcionDetail extends DocumentDetail {
    idArticulo: number;
    idServicio: number;
    cantidad: number;
    idUnidadMedida: number;
    costoUnitario: number;
    costoNeto: number;
    importe: number;
    idFlujo: number;
    idDepartamento: number;
    descuentos: DescuentosInfo;
    impuestos: ImpuestoDetailInfo[];
    unidadMedida: UnidadMedidaInfo;
    articulo: ArticuloInfo;
    stock: StockInfo;
    idLote: number;
    numSerie: string;
    fechaCaducidad: Date;
    idUbicacion: number;
    unidades: number;
    servicio: ServicioInfo;
    constructor();
}
