"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("framework3/core");
var descuentos_1 = require("./descuentos");
//Para el articulo
var articulo_1 = require("./articulo");
var inventory_1 = require("../../inventory");
//para el servicio
var servicio_1 = require("./servicio");
var RecepcionDetail = /** @class */ (function (_super) {
    __extends(RecepcionDetail, _super);
    function RecepcionDetail() {
        var _this = _super.call(this) || this;
        _this.cantidad = 0;
        _this.costoUnitario = 0;
        _this.descuentos = new descuentos_1.DescuentosInfo();
        _this.articulo = new articulo_1.ArticuloInfo();
        _this.servicio = new servicio_1.ServicioInfo();
        _this.impuestos = [];
        _this.unidadMedida = new inventory_1.UnidadMedidaInfo();
        _this.idUnidadMedida = 0;
        _this.stock = new inventory_1.StockInfo();
        _this.numSerie = "";
        _this.fechaCaducidad = new Date();
        return _this;
    }
    return RecepcionDetail;
}(core_1.DocumentDetail));
exports.RecepcionDetail = RecepcionDetail;
