import { DocumentInfo, DocumentItem } from 'framework3/core';
import { RecepcionDetail } from './recepcion-detail';
export declare class RecepcionInfo extends DocumentInfo<RecepcionDetail> {
    fechaAfectacion: Date;
    idCentralCompras: number;
    idCentroRecepcion: number;
    idProveedor: number;
    idOrdenTit: string;
    fechaOrden: Date;
    idConcepto: number;
    idRecepcionSinOC: string;
    fechaRecepcionSinOC: Date;
    idEntrada: string;
    fechaEntrada: Date;
    idCuentaPorPagarTit: string;
    fechaCuentaPorPagar: Date;
    uUIDFactura: string;
    serieFactura: string;
    folioFactura: string;
    uUIDNota: string;
    idDivisa: number;
    tipoCambio: number;
    subtotal: number;
    impuestosTrasladados: number;
    impuestosRetenidos: number;
    descuentos: number;
    flete: number;
    total: number;
    constructor();
}
export declare class RecepcionItem extends DocumentItem {
}
