import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { CategoriasPresupuestalesInfo, CategoriaPresupuestal } from '../models/categorias-presupuestales';
import { SearchRequest, SearchResult } from 'framework3/search';
export declare class CategoriasPresupuestalesService extends CatalogService<CategoriasPresupuestalesInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<CategoriasPresupuestalesInfo>;
    searchArticuloCategoriaPresupuestal(IdCategoriaPresupuestal: number, idBranch: number, request: SearchRequest): Promise<SearchResult>;
    deleteCategoriaPresupuestalArticulo(IdArticulo: number, IdCategoriaPresupuestal: number): Promise<boolean>;
    searchServicioCategoriaPresupuestal(IdCategoriaPresupuestal: number, idBranch: number, request: SearchRequest): Promise<SearchResult>;
    deleteCategoriaPresupuestalServicio(IdServicio: number, IdCategoriaPresupuestal: number): Promise<boolean>;
    updateCategoria(categoriaPresupuestal: CategoriaPresupuestal): Promise<any>;
}
