import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { OrdenInfo } from '../models/orden';
import { OrdenDetail } from '../models/orden-detail';
export declare class OrdenService extends DocumentService<OrdenDetail, OrdenInfo> {
    protected http: HttpClient;
    protected context: Context;
    constructor(http: HttpClient, context: Context);
    create(): Promise<OrdenInfo>;
}
