import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { ZonaCompraInfo, ZonaCompraItem } from '../models/zona-compra';
export declare class ZonaCompraService extends CatalogService<ZonaCompraInfo> {
    constructor(http: HttpClient, context: Context);
    create(): Promise<ZonaCompraInfo>;
    loadListByUser(idSucursal: number): Promise<ZonaCompraItem[]>;
}
