import { CatalogInfo, CatalogItem } from 'framework3/core';
import { ContribuyenteInfo } from '../../accounting/models/contribuyente';
import { PersonaInfo } from 'framework3/general/models/persona';
export declare class EmpleadoInfo extends CatalogInfo {
    sexo: string;
    fechaNacimiento: Date;
    titulo: string;
    fechaIngreso: Date;
    idPlaza: number;
    imss: string;
    curp: string;
    rfc: string;
    sueldo: number;
    hrsExt: boolean;
    idTurno: number;
    foto: string;
    idPersona: number;
    idBeneficiario: number;
    idCompania: number;
    idCuenta: number;
    persona: PersonaInfo;
    contribuyente: ContribuyenteInfo;
    constructor();
}
export declare class EmpleadoItem implements CatalogItem {
    id: number;
    codigo: string;
    nombre: string;
    activo: boolean;
    estatus?: string;
    selected?: boolean;
}
