import { FormBuilder } from '@angular/forms';
import { Context } from 'framework3/core';
import { BasicEditor } from 'framework3/editors';
import { UnidadMedidaItem, StockInfo, UnidadMedidaService, AlmacenService } from '../../../inventory';
import { RecepcionDetail } from '../../models/recepcion-detail';
import { RecepcionArticuloDetail } from '../../models/recepcion-articulo-detail';
export declare class RecepcionArticulosDetailEditor extends BasicEditor {
    protected context: Context;
    private builder;
    private unidadMedidaService;
    private almacenService;
    unidadesMedida: UnidadMedidaItem[];
    stockConfig: StockInfo;
    validInput: boolean;
    detailCopy: RecepcionArticuloDetail;
    detail: RecepcionArticuloDetail;
    idAlmacen: number;
    readonly articuloCode: string;
    constructor(context: Context, builder: FormBuilder, unidadMedidaService: UnidadMedidaService, almacenService: AlmacenService);
    loadStock(idArticulo: number): void;
    loadUnidadesMedida(idTipoUnidad: number): void;
    onCreatingItem(): void;
    onLoadingItem(detail: RecepcionDetail): void;
    ngAfterViewInit(): void;
    onUpdatingItem(detail: RecepcionArticuloDetail): void;
    onInputValidChange(valid: boolean): void;
}
