"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
//Kernel
var core_2 = require("framework3/core");
var editors_1 = require("framework3/editors");
//Locales
var recepcion_servicio_detail_1 = require("../../models/recepcion-servicio-detail");
//Inventario
var inventory_1 = require("../../../inventory");
var RecepcionServiciosDetailEditor = /** @class */ (function (_super) {
    __extends(RecepcionServiciosDetailEditor, _super);
    //
    function RecepcionServiciosDetailEditor(context, builder, unidadMedidaService, almacenService) {
        var _this = _super.call(this, context) || this;
        _this.context = context;
        _this.builder = builder;
        _this.unidadMedidaService = unidadMedidaService;
        _this.almacenService = almacenService;
        _this.unidadesMedida = [];
        _this.validInput = false;
        //Copia temporal que se utilizará para edición y no afecte al objeto original por si el usuario decide cancelar la edición
        _this.detailCopy = new recepcion_servicio_detail_1.RecepcionServicioDetail();
        //Objeto original que se editará
        _this.detail = new recepcion_servicio_detail_1.RecepcionServicioDetail();
        _this.form = builder.group({
            'sample': [''],
        });
        return _this;
    }
    /////////////////// METODOS ///////////////////////////////
    //loadUnidadesMedida(idTipoUnidad: number) {
    //    //Si el articulo esta controlado por series, no se puede cambiar la unidad de medida, por lo tanto solo se debe utilizar la unidad de medida el articulo,
    //    //en caso contrario, cargar lista de unidades de medida del mismo tipo
    //    if (this.stockConfig.manejaSeries) {
    //        let unidadArticulo = this.detailCopy.articulo.articuloStock.unidadMedida;
    //        let newUnidad: UnidadMedidaItem = {
    //            id: unidadArticulo.identity, codigo: unidadArticulo.code, idUnidadMedidaTipo: unidadArticulo.idUnidadMedidaTipo, base: unidadArticulo.base,
    //            factor: unidadArticulo.factor, fraccionable: unidadArticulo.fraccionable, paquete: unidadArticulo.paquete, activo: true
    //        };
    //        let newUnidades = [];
    //        newUnidades.push(newUnidad);
    //        this.unidadesMedida = newUnidades;
    //        this.detailCopy.idUnidadMedida = unidadArticulo.identity;
    //    }
    //    else {
    //        this.unidadMedidaService.loadList(idTipoUnidad)
    //            .then(unidadesMedida => {
    //                this.unidadesMedida = unidadesMedida;
    //                this.detailCopy.idUnidadMedida = this.detailCopy.articulo.idUnidadMedida;
    //            })
    //            .catch(error => this.handleError(error));
    //    }
    //}
    //loadStock(idArticulo: number) {
    //    this.almacenService.loadStock(this.idAlmacen, idArticulo)
    //        .then(stock => {
    //            this.stockConfig = stock;
    //            this.loadUnidadesMedida(this.detailCopy.articulo.articuloStock.unidadMedida.idUnidadMedidaTipo);
    //        })
    //        .catch(error => this.handleError(error));
    //}
    /////////////////// HANDLERS //////////////////////////////
    RecepcionServiciosDetailEditor.prototype.onCreatingItem = function () {
        this.detailCopy = this.detail;
        this.form.reset({ sample: '' });
        this.form.markAsPristine();
    };
    RecepcionServiciosDetailEditor.prototype.onLoadingItem = function (detail) {
        this.detailCopy = this.copyItem(this.detail);
        this.form.updateValueAndValidity();
        //setTimeout(_ => this.loadStock(this.detailCopy.articulo.articuloStock.identity), 3000);
    };
    RecepcionServiciosDetailEditor.prototype.ngAfterViewInit = function () {
        //setTimeout(_ => this.loadStock(this.detailCopy.articulo.articuloStock.identity));            
    };
    RecepcionServiciosDetailEditor.prototype.onUpdatingItem = function (detail) {
        var _this = this;
        this.unidadMedidaService.getDetailFromCache(this.detailCopy.idUnidadMedida)
            .then(function (unidad) {
            _this.detailCopy.unidadMedida = unidad;
            if (_this.detailCopy._clientID == 0) {
                _this.detailCopy._clientID = _this.createClientID();
            }
            else {
                _this.detailCopy.state = editors_1.ChangeState.MODIFIED;
            }
            _this.savingItem.emit(_this.detailCopy);
            _this.detailCopy = new recepcion_servicio_detail_1.RecepcionServicioDetail();
        })
            .catch(function (error) { return _this.handleError(error); });
    };
    RecepcionServiciosDetailEditor.prototype.onInputValidChange = function (valid) {
        this.validInput = valid;
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", recepcion_servicio_detail_1.RecepcionServicioDetail)
    ], RecepcionServiciosDetailEditor.prototype, "detail", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Number)
    ], RecepcionServiciosDetailEditor.prototype, "idAlmacen", void 0);
    RecepcionServiciosDetailEditor = __decorate([
        core_1.Component({
            selector: 'compras-recepcion-servicios-detail-editor',
            template: "\n      <form [formGroup]=\"form\">\n          <azteca-basic-editor [item]=\"detail\"\n                               [dirty]=\"dirty\"\n                               [valid]=\"valid && validInput\"\n                               [title]=\"'Editar servicios de la recepcion'\"\n                               (creatingItem)=\"onCreatingItem()\"\n                               (loadingItem)=\"onLoadingItem($event)\"\n                               (updatingItem)=\"onUpdatingItem($event)\">\n\n              <div class=\"row\">\n                  <div class=\"col-12 col-md-6\">\n                      <label class=\"control-label\">Servicio:</label>\n                      <az-label [text]=\"detailCopy.servicio ? detailCopy.servicio.code + '-' + detailCopy.servicio.nombre : ''\"></az-label>\n                  </div>\n                  <div class=\"col-12 col-md-3\">\n                      <label class=\"control-label\">Costo unitario:</label>\n                      <az-label [text]=\"costoUnitario\"></az-label>\n                  </div>\n              </div>\n\n\n          </azteca-basic-editor>\n      </form>\n    "
        }),
        __metadata("design:paramtypes", [core_2.Context, forms_1.FormBuilder, inventory_1.UnidadMedidaService, inventory_1.AlmacenService])
    ], RecepcionServiciosDetailEditor);
    return RecepcionServiciosDetailEditor;
}(editors_1.BasicEditor));
exports.RecepcionServiciosDetailEditor = RecepcionServiciosDetailEditor;
